Update OAuth application
curl --request PUT \
--url https://api.example.com/oauth/apps/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Integration",
"description": "Integration for managing organization data",
"redirectUri": "https://example.com/callback",
"scopes": [
"read:organization",
"write:organization"
],
"isActive": true
}
'import requests
url = "https://api.example.com/oauth/apps/{clientId}"
payload = {
"name": "My Integration",
"description": "Integration for managing organization data",
"redirectUri": "https://example.com/callback",
"scopes": ["read:organization", "write:organization"],
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Integration',
description: 'Integration for managing organization data',
redirectUri: 'https://example.com/callback',
scopes: ['read:organization', 'write:organization'],
isActive: true
})
};
fetch('https://api.example.com/oauth/apps/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
oauth
Update OAuth application
⚠️ SECURITY: Only OWNERS and ADMINS can update OAuth applications. Allows updating name, scopes, redirect URIs, and status. Client ID and secret cannot be changed.
PUT
/
oauth
/
apps
/
{clientId}
Update OAuth application
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Application name
Maximum string length:
100Example:
"My Integration"
Application description
Maximum string length:
500Example:
"Integration for managing organization data"
Redirect URI for OAuth flow
Example:
"https://example.com/callback"
OAuth scopes requested
Example:
["read:organization", "write:organization"]
Whether the application is active
Example:
true
Response
Application updated successfully with new configuration.